<?php
/*
**** COPYRIGHT & LICENSE NOTICE *** DO NOT REMOVE ****
* 
* WaWision (c) embedded projects GmbH, Holzbachstrasse 4, D-86154 Augsburg, * Germany 2015 
*
* This file is licensed under the Embedded Projects General Public License *Version 3.1. 
*
* You should have received a copy of this license from your vendor and/or *along with this file; If not, please visit www.wawision.de/Lizenzhinweis 
* to obtain the text of the corresponding license version.  
*
**** END OF COPYRIGHT & LICENSE NOTICE *** DO NOT REMOVE ****
*/
?>
<?php
include ("_gen/versandarten.php");

class Versandarten extends GenVersandarten {
  var $app;
  
  function __construct(&$app) {
    //parent::GenVersandarten($app);
    $this->app=&$app;

    $this->app->ActionHandlerInit($this);

    $this->app->ActionHandler("create","VersandartenCreate");
    $this->app->ActionHandler("edit","VersandartenEdit");
    $this->app->ActionHandler("list","VersandartenList");
    $this->app->ActionHandler("delete","VersandartenDelete");

    $this->app->ActionHandlerListen($app);
  }


  function VersandartenCreate()
  {
    $this->VersandartenMenu();
    parent::VersandartenCreate();
  }

  function VersandartenList()
  {
    $this->VersandartenMenu();
    parent::VersandartenList();
  }

  function VersandartenMenu()
  {
    $id = $this->app->Secure->GetGET("id");
    $this->app->erp->MenuEintrag("index.php?module=versandarten&action=create","Neue Versandart anlegen");
    if($this->app->Secure->GetGET("action")=="list")
    {
      $this->app->erp->MenuEintrag("index.php?module=versandarten&action=list","&Uuml;bersicht");
      $this->app->erp->MenuEintrag("index.php?module=einstellungen&action=list","Zur&uuml;ck zur &Uuml;bersicht");
    }
    else if($this->app->Secure->GetGET("action")=="edit")
      $this->app->erp->MenuEintrag("index.php?module=versandarten&action=edit&id=$id","Details");
    else
      $this->app->erp->MenuEintrag("index.php?module=versandarten&action=list","Zur&uuml;ck zur &Uuml;bersicht");
  }



  function VersandartenEdit()
  {
    $this->VersandartenMenu();
    parent::VersandartenEdit();
  }

  function VersandartenDelete()
  {
    $id = $this->app->Secure->GetGET("id");

    $msg = $this->app->erp->base64_url_encode("<div class=\"info\">Die Versandart wurde gel&ouml;scht!</div>");
    $this->app->DB->Update("DELETE FROM versandarten WHERE id='$id' LIMIT 1");

    header("Location: index.php?module=versandarten&action=list&msg=$msg");  
    exit;
  } 



}
?>
